Debian Bug report logs - #614760
recoll crashing on update index (or rebuild)

version graph

Package: recoll; Maintainer for recoll is Kartik Mistry <kartik@debian.org>; Source for recoll is src:recoll.

Reported by: Tim Richardson <tim@tim-richardson.net>

Date: Wed, 23 Feb 2011 09:36:02 UTC

Severity: grave

Found in versions recoll/1.15.2-1, recoll/1.13.04-3

Fixed in versions recoll/1.16.1-1, recoll/1.13.04-3+squeeze1

Done: Kartik Mistry <kartik@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tim@tim-richardson.net, Kartik Mistry <kartik@debian.org>:
Bug#614760; Package recoll. (Wed, 23 Feb 2011 09:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Richardson <tim@tim-richardson.net>:
New Bug report received and forwarded. Copy sent to tim@tim-richardson.net, Kartik Mistry <kartik@debian.org>. (Wed, 23 Feb 2011 09:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tim Richardson <tim@tim-richardson.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: recoll crashing on update index (or rebuild)
Date: Wed, 23 Feb 2011 20:33:28 +1100
Package: recoll
Version: 1.15.2-1
Severity: important

ran from console and sent stderror to a file.
these are the last lines:

mtype=text/x-mail
fmtime=01298451431
origcharset=
fbytes=17580961
sig=175809611298451431
dbytes=0
caption=Trash
filename=Trash

:4:../rcldb/rcldb.cpp:1142:Db::add: docid 38604 added [/home/tim/.icedove/zfhgvfma.default/ImapMail/mail.tim-richardson.net/[Gmail].sbd/Trash|]
:4:../rcldb/rcldb.cpp:1201:Db::needUpdate:yes (new): [Q/home/tim/.icedove/zfhgvfma.default/ImapMail/mail.tim-richardson.net/[Gmail].sbd/All Mail|]
:5:../index/fsindexer.cpp:357:processone: processing: [772 MB ] /home/tim/.icedove/zfhgvfma.default/ImapMail/mail.tim-richardson.net/[Gmail].sbd/All Mail
:4:../internfile/internfile.cpp:207:FileInterner:: [/home/tim/.icedove/zfhgvfma.default/ImapMail/mail.tim-richardson.net/[Gmail].sbd/All Mail] mime [(null)] preview 0
:4:../internfile/mh_mbox.cpp:250:MimeHandlerMbox::set_document_file(/home/tim/.icedove/zfhgvfma.default/ImapMail/mail.tim-richardson.net/[Gmail].sbd/All Mail)
:4:../internfile/internfile.cpp:281:FileInterner:: init ok text/x-mail [/home/tim/.icedove/zfhgvfma.default/ImapMail/mail.tim-richardson.net/[Gmail].sbd/All Mail]
:4:../internfile/internfile.cpp:736:FileInterner::internfile. ipath []
:5:../internfile/mh_mbox.cpp:381:MimeHandlerMbox::next_document: fn /home/tim/.icedove/zfhgvfma.default/ImapMail/mail.tim-richardson.net/[Gmail].sbd/All Mail, msgnum 0 mtarg 0
:4:../internfile/internfile.cpp:652:FileInterner::addHandler: next_doc is message/rfc822
:4:../internfile/mh_mail.cpp:175:MimeHandlerMail::next_document m_idx -1 m_havedoc 1
terminate called after throwing an instance of 'std::bad_alloc'
  what():  std::bad_alloc


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.37-1.slh.2-aptosid-686 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages recoll depends on:
ii  libc6                   2.11.2-11        Embedded GNU C Library: Shared lib
ii  libgcc1                 1:4.4.5-12       GCC support library
ii  libqtcore4              4:4.6.3-4        Qt 4 core module
ii  libqtgui4               4:4.6.3-4        Qt 4 GUI module
ii  libstdc++6              4.4.5-12         The GNU Standard C++ Library v3
ii  libx11-6                2:1.4.1-5        X11 client-side library
ii  libxapian22             1.2.4-1          Search engine library
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

Versions of packages recoll recommends:
ii  aspell                  0.60.6-6         GNU Aspell spell-checker
ii  python                  2.6.6-3+squeeze5 interactive high-level object-orie
ii  xsltproc                1.1.26-6         XSLT 1.0 command line processor

Versions of packages recoll suggests:
ii  antiword                   0.37-6        Converts MS Word files to text, PS
ii  catdoc                     0.94.2-1.1    MS-Word to TeX or plain text conve
pn  flac                       <none>        (no description available)
ii  ghostscript                9.01~dfsg-1   interpreter for the PostScript lan
pn  libid3-tools               <none>        (no description available)
ii  libimage-exiftool-perl     8.15-1        Library and program to read and wr
pn  lyx                        <none>        (no description available)
ii  poppler-utils              0.12.4-1.2    PDF utilitites (based on libpopple
ii  pstotext                   1.9-5         Extract text from PostScript and P
ii  python-chm                 0.8.4-1+b1    Python binding for CHMLIB
pn  python-mutagen             <none>        (no description available)
ii  unrtf                      0.19.3-1.1+b1 RTF to other formats converter
pn  untex                      <none>        (no description available)
pn  vorbis-tools               <none>        (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Kartik Mistry <kartik@debian.org>:
Bug#614760; Package recoll. (Sun, 09 Oct 2011 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ersek, Laszlo" <lacos@caesar.elte.hu>:
Extra info received and forwarded to list. Copy sent to Kartik Mistry <kartik@debian.org>. (Sun, 09 Oct 2011 20:45:03 GMT) Full text and rfc822 format available.

Message #10 received at 614760@bugs.debian.org (full text, mbox):

From: "Ersek, Laszlo" <lacos@caesar.elte.hu>
To: 614760@bugs.debian.org, control@bugs.debian.org
Subject: 1.13.04-3+b1 crashes too
Date: Sun, 9 Oct 2011 22:02:28 +0200 (CEST)
package recoll
severity 614760 grave
thanks

Ran recollindex from a terminal. It printed a zillion lines of

:3:../rcldb/rcldb.cpp:813:Db::splitter::takeword: unac failed for [...]

then finally

terminate called after throwing an instance of 'std::bad_alloc'
  what():  std::bad_alloc
RCLMFILT: rclzip : : EOF on input
Aborted

Actually, what's worst is that after dist-upgrading from Lenny to Squeeze, 
recollindex simply refused to open the xapiandb that was created under 
Lenny:

:2:../rcldb/rcldb.cpp:611:Db::open: exception while opening 
[/home/lacos/.recoll/xapiandb]: Recoll index version mismatch

So I tried "recollindex -z" and then even manually removing xapiandb/ 
before reindexing, but both of these crashed. I retried indexing from the 
GUI. That crashed too.

Currently I can't reindex my local imap mirror, nor can I use my previous 
index. This makes recoll unusable for me.

TIA
lacos




Severity set to 'grave' from 'important' Request was from "Ersek, Laszlo" <lacos@caesar.elte.hu> to control@bugs.debian.org. (Sun, 09 Oct 2011 20:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kartik Mistry <kartik@debian.org>:
Bug#614760; Package recoll. (Mon, 10 Oct 2011 06:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean-Francois Dockes <jf@dockes.org>:
Extra info received and forwarded to list. Copy sent to Kartik Mistry <kartik@debian.org>. (Mon, 10 Oct 2011 06:09:03 GMT) Full text and rfc822 format available.

Message #17 received at 614760@bugs.debian.org (full text, mbox):

From: Jean-Francois Dockes <jf@dockes.org>
To: "Ersek, Laszlo" <lacos@caesar.elte.hu>, 614760@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#614760: 1.13.04-3+b1 crashes too
Date: Mon, 10 Oct 2011 08:07:01 +0200
Ersek, Laszlo writes:
 > package recoll
 > severity 614760 grave
 > thanks
 > 
 > Ran recollindex from a terminal. It printed a zillion lines of
 > 
 > :3:../rcldb/rcldb.cpp:813:Db::splitter::takeword: unac failed for [...]
 > 
 > then finally
 > 
 > terminate called after throwing an instance of 'std::bad_alloc'
 >    what():  std::bad_alloc
 > RCLMFILT: rclzip : : EOF on input
 > Aborted
 > 
 > Actually, what's worst is that after dist-upgrading from Lenny to Squeeze, 
 > recollindex simply refused to open the xapiandb that was created under 
 > Lenny:
 > 
 > :2:../rcldb/rcldb.cpp:611:Db::open: exception while opening 
 > [/home/lacos/.recoll/xapiandb]: Recoll index version mismatch

This is normal, the index format changed, you need a full index, this was
probably listed somewhere in the release notes.

 > So I tried "recollindex -z" and then even manually removing xapiandb/ 
 > before reindexing, but both of these crashed. I retried indexing from the 
 > GUI. That crashed too.
 > 
 > Currently I can't reindex my local imap mirror, nor can I use my previous 
 > index. This makes recoll unusable for me.

It would seem that there is some file in your document set which is crashing
recoll. We need to determine which it is, get it out of the indexed set so
that you can begin to use recoll again, and if at all possible, I would
very much like to get a copy to fix the bug (if this is confidential data,
we'll try other ways to get details about the issue).

For a beginning, we need to have a look at the log file before the point
where recoll crashes. 

Please see the "Obtaining information from the log file" section on this
page for doing this:
https://bitbucket.org/medoc/recoll/wiki/GettingAStackTrace

Regards,

jf




Information forwarded to debian-bugs-dist@lists.debian.org, Kartik Mistry <kartik@debian.org>:
Bug#614760; Package recoll. (Tue, 11 Oct 2011 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ersek, Laszlo" <lacos@caesar.elte.hu>:
Extra info received and forwarded to list. Copy sent to Kartik Mistry <kartik@debian.org>. (Tue, 11 Oct 2011 21:27:03 GMT) Full text and rfc822 format available.

Message #22 received at 614760@bugs.debian.org (full text, mbox):

From: "Ersek, Laszlo" <lacos@caesar.elte.hu>
To: 614760@bugs.debian.org
Subject: [PATCH] plug conversion descriptor leak in unac.c::convert() error path
Date: Tue, 11 Oct 2011 23:25:29 +0200 (CEST)
Sorry for the delayed answer.

On Mon, 10 Oct 2011, Jean-Francois Dockes wrote:

> It would seem that there is some file in your document set which is 
> crashing recoll. We need to determine which it is, get it out of the 
> indexed set so that you can begin to use recoll again, and if at all 
> possible, I would very much like to get a copy to fix the bug (if this 
> is confidential data, we'll try other ways to get details about the 
> issue).
>
> For a beginning, we need to have a look at the log file before the point 
> where recoll crashes.

I rebuilt the package with noopt,nostrip,debug. I debugged it down to 
recoll-1.13.04/common/unacpp.cpp, function unacmaybefold(). It is called 
with dofold = true. unacfold_string() returns with -1, errno set to 12 
(ENOMEM). Then unacmaybefold() goes on to format an error message:

    45      if (status < 0) {
    46          if (cout)
    47              free(cout);
    48          char cerrno[20];
    49          sprintf(cerrno, "%d", errno);
    50          out = string("unac_string failed, errno : ") + cerrno;
    51          return false;
    52      }

however on line 50 the string concatenation runs out of memory (not 
surprising, after unacfold_string() failed with ENONEM, and that's the 
source of the std::bad_alloc exception object.

This happens right after the million lines of

:3:../rcldb/rcldb.cpp:813:Db::splitter::takeword: unac failed for [...]

are printed, during which phase the VSZ of the recollindex process grows 
constantly. When the process finally reaches the above, the VSZ is 
1,521,648 KB.

I followed unacfold_string() to unacmaybefold_string() and started to 
suspect that it leaks somewhere. The code was very hard to follow in 
gdb/ddd (I guess some optimization remained enabled, because the line 
number kept jumping around and it was very hard to set breakpoints). After 
a while I got tired and started it under valgrind, and thankfully valgrind 
completed the top of the stack: it is indeed convert(), called by 
unacmaybefold_string(), that leaks an iconv() conversion descriptor (and 
therefore, memory) in the error path(s). (I think it's very wasteful to 
open/close a descriptor for the same conversion thousands of times, but I 
digress.)

I identified the file that caused this huge number of conversion errors -- 
it's a Maildir file with a zip and a rar attachment. Both compressed files 
have the same contents: two latin2 encoded text files (tables, actually), 
1.3 and 1.4 MB in size. In total 5.4 MB of latin2 encoded text that caused 
90,228 conversion failures (and presumably leaked the same number of conv 
descs).

The following patch fixed my problem. VSZ peaks around 160 MB.

Laszlo

--- build/recoll-1.13.04/unac/unac.c	2010-01-30 08:58:40.000000000 +0100
+++ build2/recoll-1.13.04/unac/unac.c	2011-10-11 23:05:21.000000000 +0200
@@ -10661,7 +10661,7 @@ static int convert(const char* from, con
 	    if(errno == E2BIG)
 	      /* fall thru to the E2BIG case below */;
 	    else
-	      return -1;
+	      goto err;
 	  } else {
 	    /* The offending character was replaced by a SPACE, skip it. */
 	    in += 2;
@@ -10670,7 +10670,7 @@ static int convert(const char* from, con
 	    break;
 	  }
 	} else {
-	  return -1;
+	  goto err;
 	}
       case E2BIG:
 	{
@@ -10690,7 +10690,7 @@ static int convert(const char* from, con
 		      DEBUG("realloc %d bytes failed\n", out_size+1);
 		  free(saved);
 		  *outp = 0;
-		  return -1;
+		  goto err;
 	      }
 	  }
 	  out = out_base + length;
@@ -10698,7 +10698,7 @@ static int convert(const char* from, con
 	}
 	break;
       default:
-	return -1;
+	goto err;
 	break;
       }
     }
@@ -10710,6 +10710,9 @@ static int convert(const char* from, con
   (*outp)[*out_lengthp] = '\0';

   return 0;
+err:
+  iconv_close(cd);
+  return -1;
 }

 int unacmaybefold_string(const char* charset,




Information forwarded to debian-bugs-dist@lists.debian.org, Kartik Mistry <kartik@debian.org>:
Bug#614760; Package recoll. (Wed, 12 Oct 2011 07:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean-Francois Dockes <jf@dockes.org>:
Extra info received and forwarded to list. Copy sent to Kartik Mistry <kartik@debian.org>. (Wed, 12 Oct 2011 07:09:03 GMT) Full text and rfc822 format available.

Message #27 received at 614760@bugs.debian.org (full text, mbox):

From: Jean-Francois Dockes <jf@dockes.org>
To: "Ersek, Laszlo" <lacos@caesar.elte.hu>, 614760@bugs.debian.org
Subject: Re: Bug#614760: [PATCH] plug conversion descriptor leak in unac.c::convert() error path
Date: Wed, 12 Oct 2011 09:06:22 +0200
[Message part 1 (text/plain, inline)]
Ersek, Laszlo writes:
 > Sorry for the delayed answer.
 > 
 > On Mon, 10 Oct 2011, Jean-Francois Dockes wrote:
 > 
 > > It would seem that there is some file in your document set which is 
 > > crashing recoll. We need to determine which it is, get it out of the 
 > > indexed set so that you can begin to use recoll again, and if at all 
 > > possible, I would very much like to get a copy to fix the bug (if this 
 > > is confidential data, we'll try other ways to get details about the 
 > > issue).
 > >
 > > For a beginning, we need to have a look at the log file before the point 
 > > where recoll crashes.
 > 
 > I rebuilt the package with noopt,nostrip,debug. I debugged it down to 
 > recoll-1.13.04/common/unacpp.cpp, function unacmaybefold(). It is called 
 > with dofold = true. unacfold_string() returns with -1, errno set to 12 
 > (ENOMEM). Then unacmaybefold() goes on to format an error message:

Thanks a lot for taking the time to debug this !

[...]
 > I identified the file that caused this huge number of conversion errors -- 
 > it's a Maildir file with a zip and a rar attachment. Both compressed files 
 > have the same contents: two latin2 encoded text files (tables, actually), 
 > 1.3 and 1.4 MB in size. In total 5.4 MB of latin2 encoded text that caused 
 > 90,228 conversion failures (and presumably leaked the same number of conv 
 > descs).
[...]

I'd guess that you have an utf-8 locale. Recoll has no good way to identify
the character set when it is not told (by a file header or the locale or a
configuration option). 

The next version will be less verbose about conversion errors and probably
will have an error percentage threshold after which it will just stop
indexing the file.

The iconv_close() leak was fixed in recoll 1.16 (incidentally to another
change), but it is present in 1.13, 1.14, and 1.15 (same unac.c file).

 > The following patch fixed my problem. VSZ peaks around 160 MB.

The original patch needed --ignore-whitespace to apply, I am attaching one
with the same changes, but which should apply cleanly (if Kartik can make
use of it).

Again, many thanks.

Regards,

jf

[patch-unac-icclose.diff (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kartik Mistry <kartik@debian.org>:
Bug#614760; Package recoll. (Mon, 24 Oct 2011 06:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kartik Mistry <kartik.mistry@gmail.com>:
Extra info received and forwarded to list. Copy sent to Kartik Mistry <kartik@debian.org>. (Mon, 24 Oct 2011 06:33:08 GMT) Full text and rfc822 format available.

Message #32 received at 614760@bugs.debian.org (full text, mbox):

From: Kartik Mistry <kartik.mistry@gmail.com>
To: Jean-Francois Dockes <jf@dockes.org>, 614760@bugs.debian.org
Cc: "Ersek, Laszlo" <lacos@caesar.elte.hu>
Subject: Re: Bug#614760: [PATCH] plug conversion descriptor leak in unac.c::convert() error path
Date: Mon, 24 Oct 2011 11:49:57 +0530
On Wed, Oct 12, 2011 at 12:36 PM, Jean-Francois Dockes <jf@dockes.org> wrote:
> The iconv_close() leak was fixed in recoll 1.16 (incidentally to another
> change), but it is present in 1.13, 1.14, and 1.15 (same unac.c file).
>
>  > The following patch fixed my problem. VSZ peaks around 160 MB.
>
> The original patch needed --ignore-whitespace to apply, I am attaching one
> with the same changes, but which should apply cleanly (if Kartik can make
> use of it).

Sorry for late reply. Since this patch is already applied in version
we've in Wheezy and Sid, and not in Sqeeze, I need to update package
for Stable update. Or do you want me to backport current version to
Squeeze?

(This is specially for Ersek Laszlo :)).

-- 
Kartik Mistry | IRC: kart_
{0x1f1f, kartikm}.wordpress.com




Information forwarded to debian-bugs-dist@lists.debian.org, Kartik Mistry <kartik@debian.org>:
Bug#614760; Package recoll. (Mon, 24 Oct 2011 07:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jean-Francois Dockes <jf@dockes.org>:
Extra info received and forwarded to list. Copy sent to Kartik Mistry <kartik@debian.org>. (Mon, 24 Oct 2011 07:12:03 GMT) Full text and rfc822 format available.

Message #37 received at 614760@bugs.debian.org (full text, mbox):

From: Jean-Francois Dockes <jf@dockes.org>
To: Kartik Mistry <kartik.mistry@gmail.com>
Cc: 614760@bugs.debian.org, "Ersek, Laszlo" <lacos@caesar.elte.hu>
Subject: Re: Bug#614760: [PATCH] plug conversion descriptor leak in unac.c::convert() error path
Date: Mon, 24 Oct 2011 09:09:45 +0200
Kartik Mistry writes:
 > On Wed, Oct 12, 2011 at 12:36 PM, Jean-Francois Dockes <jf@dockes.org> wrote:
 > > The iconv_close() leak was fixed in recoll 1.16 (incidentally to another
 > > change), but it is present in 1.13, 1.14, and 1.15 (same unac.c file).
 > >
 > >  > The following patch fixed my problem. VSZ peaks around 160 MB.
 > >
 > > The original patch needed --ignore-whitespace to apply, I am attaching one
 > > with the same changes, but which should apply cleanly (if Kartik can make
 > > use of it).
 > 
 > Sorry for late reply. Since this patch is already applied in version
 > we've in Wheezy and Sid, and not in Sqeeze, I need to update package
 > for Stable update. Or do you want me to backport current version to
 > Squeeze?
 > 
 > (This is specially for Ersek Laszlo :)).

Just my 2 cents about the problem, as this is really an issue between the
kind packager and Debian users :) :

 - The problem has been reported at least by another user (on Ubuntu), so
   it's probably relatively common.

 - As far as I can see, it can mostly (or only) be triggered by members
   inside zip archives, because of the way the transcoding is (not) handled
   for these.

Cheers,

jf




Information forwarded to debian-bugs-dist@lists.debian.org, Kartik Mistry <kartik@debian.org>:
Bug#614760; Package recoll. (Mon, 24 Oct 2011 07:25:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ersek, Laszlo" <lacos@caesar.elte.hu>:
Extra info received and forwarded to list. Copy sent to Kartik Mistry <kartik@debian.org>. (Mon, 24 Oct 2011 07:25:13 GMT) Full text and rfc822 format available.

Message #42 received at 614760@bugs.debian.org (full text, mbox):

From: "Ersek, Laszlo" <lacos@caesar.elte.hu>
To: 614760@bugs.debian.org
Subject: Re: Bug#614760: [PATCH] plug conversion descriptor leak in unac.c::convert() error path
Date: Mon, 24 Oct 2011 09:16:14 +0200 (CEST)
Hi Kartik,

On Mon, 24 Oct 2011, Kartik Mistry wrote:

> Sorry for late reply. Since this patch is already applied in version
> we've in Wheezy and Sid, and not in Sqeeze, I need to update package
> for Stable update. Or do you want me to backport current version to
> Squeeze?
>
> (This is specially for Ersek Laszlo :)).

if Jean-Francois agrees with it from the technical aspect, I think 
patching the current Squeeze version would be more close to the spirit of 
stable. It should mean less work for you too, I guess.

Currently I run a locally built .deb that consists of the Squeeze source 
plus the patch.

Thanks!
Laszlo




Information forwarded to debian-bugs-dist@lists.debian.org, Kartik Mistry <kartik@debian.org>:
Bug#614760; Package recoll. (Thu, 27 Oct 2011 11:11:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to kartik@debian.org:
Extra info received and forwarded to list. Copy sent to Kartik Mistry <kartik@debian.org>. (Thu, 27 Oct 2011 11:11:45 GMT) Full text and rfc822 format available.

Message #47 received at 614760@bugs.debian.org (full text, mbox):

From: Kartik Mistry <kartik@debian.org>
To: control@bugs.debian.org
Cc: 614760@bugs.debian.org
Subject: Fixing version for #614760
Date: Thu, 27 Oct 2011 16:14:51 +0530
notfound 614760 1.16.1-1
found 614760 1.13.04-3
thanks

As discussed #614760 is only present in squeeze, not in wheezy/sid.
Marking it as required for stable updates.

-- 
Kartik Mistry | IRC: kart_
{0x1f1f, kartikm}.wordpress.com




Bug Marked as found in versions recoll/1.13.04-3. Request was from Kartik Mistry <kartik@debian.org> to control@bugs.debian.org. (Thu, 27 Oct 2011 11:16:53 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions recoll/1.16.1-1. Request was from Kartik Mistry <kartik@debian.org> to control@bugs.debian.org. (Thu, 27 Oct 2011 11:36:39 GMT) Full text and rfc822 format available.

Reply sent to Kartik Mistry <kartik@debian.org>:
You have taken responsibility. (Wed, 02 Nov 2011 07:57:03 GMT) Full text and rfc822 format available.

Notification sent to Tim Richardson <tim@tim-richardson.net>:
Bug acknowledged by developer. (Wed, 02 Nov 2011 07:57:04 GMT) Full text and rfc822 format available.

Message #56 received at 614760-close@bugs.debian.org (full text, mbox):

From: Kartik Mistry <kartik@debian.org>
To: 614760-close@bugs.debian.org
Subject: Bug#614760: fixed in recoll 1.13.04-3+squeeze1
Date: Wed, 02 Nov 2011 07:55:21 +0000
Source: recoll
Source-Version: 1.13.04-3+squeeze1

We believe that the bug you reported is fixed in the latest version of
recoll, which is due to be installed in the Debian FTP archive:

recoll_1.13.04-3+squeeze1.debian.tar.gz
  to main/r/recoll/recoll_1.13.04-3+squeeze1.debian.tar.gz
recoll_1.13.04-3+squeeze1.dsc
  to main/r/recoll/recoll_1.13.04-3+squeeze1.dsc
recoll_1.13.04-3+squeeze1_amd64.deb
  to main/r/recoll/recoll_1.13.04-3+squeeze1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 614760@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Kartik Mistry <kartik@debian.org> (supplier of updated recoll package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 29 Oct 2011 19:41:21 +0530
Source: recoll
Binary: recoll
Architecture: source amd64
Version: 1.13.04-3+squeeze1
Distribution: stable
Urgency: low
Maintainer: Kartik Mistry <kartik@debian.org>
Changed-By: Kartik Mistry <kartik@debian.org>
Description: 
 recoll     - Personal full text search package with a Qt GUI
Closes: 614760
Changes: 
 recoll (1.13.04-3+squeeze1) stable; urgency=low
 .
   * debian/patches/03_patch-unac-icclose.diff:
     + plug conversion descriptor leak in unac.c::convert() error path, fixes
       index crash (Closes: #614760)
Checksums-Sha1: 
 f450652490209a5fc992540ce4fe36b7798256e4 1136 recoll_1.13.04-3+squeeze1.dsc
 8d41107ce4a2545d9c97dd4fe1001a64b421582d 9210 recoll_1.13.04-3+squeeze1.debian.tar.gz
 818608d43925323da0efc50c66c9af506b0efc3e 1285420 recoll_1.13.04-3+squeeze1_amd64.deb
Checksums-Sha256: 
 643afbc69edef51a78844499edc3f4ae31a37c913b71651a663db09e74226f54 1136 recoll_1.13.04-3+squeeze1.dsc
 b4393c5b3314c005cfeb42a02f58b99bbd6ce27866534fb775694307e7abcc6a 9210 recoll_1.13.04-3+squeeze1.debian.tar.gz
 20b0a989684c4bb28e8dc60d85f50d624efebc81201bd6a68893727e38ae6dd6 1285420 recoll_1.13.04-3+squeeze1_amd64.deb
Files: 
 d41ac0752ca88837fd6cd9e578984f40 1136 x11 optional recoll_1.13.04-3+squeeze1.dsc
 36276bce5a841d6b24077bd4fc039562 9210 x11 optional recoll_1.13.04-3+squeeze1.debian.tar.gz
 ce78edda1481f0b585063fca7a62adcc 1285420 x11 optional recoll_1.13.04-3+squeeze1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6wCy8ACgkQoRg/jtECjI0bowCeN7OpdBXfik2tap2JuiAcU4K+
IcgAoI8xA8AwXXcCZTvP3dzb3JCD3wev
=eH8z
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 29 Jan 2012 07:37:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:35:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.